// physicalobject.cc
//
// cre: 2012-02-16
// aut: JGS
//
// (C) 2012 EVOLViA

#include "physicalobject.h"

void PhysicalObject::step(double dt)
{
	// Calculate acceleration
	Vector3 a = d_F / d_m;
	// Calculate new speed
	d_v += a * dt;
	// Calculate new position
	d_x += d_v * dt;
	// Reset forces
	d_F = Vector3(0, 0, 0);
}

