// render.h
//
// Base class for rendering current state of the simulation (the Universe)
//
// cre: 2012-02-15
// aut: JGS
//
// (C) 2012 EVOLViA

class Universe;

class Render
{
	public:

		// Need a virtual destructor
		virtual ~Render()
		{}

		// Renders the universe. Parameter t = [0 ... 1], from first to last frame.
		virtual void operator() (Universe const &universe, double t) = 0;
};

